Subject: Re: bug#59438: 29.0.50; [PATCH] Make defvar's into defcustom's in tab-line

From: Juri Linkov <[email-masked]>
Date: Sun, 05 May 2024 21:38:44 +0300

close 59438 30.0.50
thanks

> Description:
>
> Please find attached a patch that proposes the following minor changes
> to tab-line.  I can refactor the patch if we decide that some change are
> not worth or if it's better to split it into smaller patches.
>
> 1) Turn the following defvar's into defcustom's:
>
> - `tab-line-tabs-buffer-group-function'
> - `tab-line-tabs-buffer-group-sort-function'
> - `tab-line-tabs-buffer-groups-sort-function'
>
> 2) Add conditional around function call of
> `tab-line-tabs-buffer-groups-sort-function', in
> `tab-line-tabs-buffer-groups'.  This guards against nil values, similar
> to how `tab-line-tabs-buffer-group-sort-function is handled, making the
> behavior more consistent across these two (similar) variables.

I'm very sorry this took so long since I wanted first to do some related changes.
But your patch will get into the next release anyway.  Thanks for the patch.

So now everything is pushed together with the suggestion by Mauro
to add choice type with nil.